# ds_opencv [![Build Status](https://travis-ci.com/darkskyapp/ds_opencv-cookbook.svg?token=vzn53TxKibyna3mpTyDZ&branch=master)](https://travis-ci.com/darkskyapp/ds_opencv-cookbook) [![Version](https://img.shields.io/cookbook/v/magic.svg)](https://supermarket.chef.io/cookbooks/ds_opencv)

Cookbook to build and install OpenCV

## Supported versions

The following table describes which OpenCV versions this cookbook supports:

| Cookbook version | Ubuntu version | OpenCV versions |
|------------------|----------------|-----------------|
| 1.x              | 16.04          | 3.x             |
| >= 2.0.0         | 18.04          | 3.x, 2.x        |
| >= 2.1.0         | 18.04          | 4.x, 3.x, 2.x   |

## Usage

1. Include `ds_opencv::default` in your wrapper cookbook
2. Set the `node['ds_opencv']['opencv']['version']` in your wrapper.
